Version: 2019.3
升级到 Unity 2019.2
升级到 Unity 2018.3

升级到 Unity 2019.1

本页面列出了从早期版本的 Unity 升级到 2019.1 版时可能对现有项目造成影响的更改


光照改进

在 2019.1 之前,Indirect Intensity 滑动条仅在使用渐进光照贴图 (Progressive Lightmapper) 时影响光照贴图。对于 Enlighten,该滑动条适用于光照探针和光照贴图。现在所有后端都会将 Indirect Intensity 值应用于光照贴图和光照探针。 再次对光照进行烘焙时,您可能会注意到,如果修改了 Indirect Intensity 值,探针会显得更亮。 在升级后,最好在重新烘焙光照贴图之前清除烘焙数据 (Clear Baked Data)。


UI Elements 现在是标准功能,而非实验性功能。

请参阅 UI Elements 2019.1 升级指南以了解更多信息。


UnityAPICompatibilityVersionAttribute 构造函数更改

接受单个字符串的构造函数现在已弃用。请参阅文档以了解关于支持的重载的信息。


更改的系统要求

以 Unity 2019.1 创建的项目需要 macOS 10.12 或 Ubuntu 16.04 或更高版本。


多玩家 (UNet) 高级 API 已移入包中

已将多玩家高级 API 从扩展移入到包中。这不会影响 NetworkTransport 类(低级 API)。已将 Unity 引擎中的所有依赖项移入到包中。这意味着高级 API 现在是独立的,只是目前无法迁移性能分析器中的某些挂钩。

包含高级 API 的更早项目将自动添加该包以防止编译器错误。新项目不会发生此情况,您可以根据需要从 Package Manager 窗口中添加该包。请参阅多玩家高级 API 文档

升级到 Unity 2019.2
升级到 Unity 2018.3
Copyright © 2020 Unity Technologies
优美缔软件(上海)有限公司 版权所有
"Unity"、Unity 徽标及其他 Unity 商标是 Unity Technologies 或其附属机构在美国及其他地区的商标或注册商标。其他名称或品牌是其各自所有者的商标。
公安部备案号:
31010902002961